/* $Id: string.c 35 2024-11-04 10:42:21Z nishi $ */

#include "config.h"

#include <MultiView/CommonString.h>

#include <string.h>
#include <stdlib.h>

char* MULTIVIEW_PRIVATE(strdup)(const char* str) {
#if HAVE_STRING_H__STRDUP
	return strdup(str);
#else
	return MULTIVIEW_PRIVATE(strcat)(str, "");
#endif
}

char* MULTIVIEW_PRIVATE(strcat)(const char* str1, const char* str2) {
	char* str = malloc(strlen(str1) + strlen(str2) + 1);
	memcpy(str, str1, strlen(str1));
	memcpy(str + strlen(str1), str2, strlen(str2));
	str[strlen(str1) + strlen(str2)] = 0;
	return str;
}
