/* $Id: arg.c 35 2024-11-04 10:42:21Z nishi $ */

#include <MultiView/CommonArg.h>

#include <stddef.h>
#include <string.h>

char** MULTIVIEW_PRIVATE(argv) = NULL;
char** MULTIVIEW_PRIVATE(argarray) = NULL;

char** MULTIVIEW_PRIVATE(getarg_option)(void) { return MULTIVIEW_PRIVATE(argarray); }

int MULTIVIEW_PRIVATE(getarg)(char** argv, MULTIVIEW_PRIVATE(args_t) args, int length) {
	int i;
	if(MULTIVIEW_PRIVATE(argv) == NULL) MULTIVIEW_PRIVATE(argv) = argv + 1;
	if(MULTIVIEW_PRIVATE(argv)[0] == NULL) {
		MULTIVIEW_PRIVATE(argv) = NULL;
		return 0;
	}
	for(i = 0; i < length; i++) {
		if(MULTIVIEW_PRIVATE(argv)[0][0] == '-' && MULTIVIEW_PRIVATE(argv)[0][1] == '-') {
			if(strcmp(MULTIVIEW_PRIVATE(argv)[0] + 2, args[i].longopt) == 0) {
				int j;
				MULTIVIEW_PRIVATE(argv)++;
				for(j = 0; j < args[i].needarg; j++) {
					if(MULTIVIEW_PRIVATE(argv)[j] == NULL) {
						MULTIVIEW_PRIVATE(argv) += j;
						return -1;
					}
				}
				MULTIVIEW_PRIVATE(argarray) = MULTIVIEW_PRIVATE(argv);
				MULTIVIEW_PRIVATE(argv) += args[i].needarg;
				return i + 1;
			}
		} else if(MULTIVIEW_PRIVATE(argv)[0][0] == '-') {
			if(MULTIVIEW_PRIVATE(argv)[0][1] == args[i].shortopt) {
				int j;
				MULTIVIEW_PRIVATE(argv)++;
				for(j = 0; j < args[i].needarg; j++) {
					if(MULTIVIEW_PRIVATE(argv)[j] == NULL) {
						MULTIVIEW_PRIVATE(argv) += j;
						return -1;
					}
				}
				MULTIVIEW_PRIVATE(argarray) = MULTIVIEW_PRIVATE(argv);
				MULTIVIEW_PRIVATE(argv) += args[i].needarg;
				return i + 1;
			}
		}
	}
	MULTIVIEW_PRIVATE(argv)++;
	return -1;
}
